﻿IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[HIESGP]') AND name = N'XHIESGP1')
BEGIN 
PRINT 'Creating index XHIESGP1 on table HIESGP'
CREATE UNIQUE NONCLUSTERED INDEX [XHIESGP1] ON [dbo].[HIESGP] 
(
	[ALPH] ASC,
	[NUMB] ASC,
	[GROU] ASC,
	[SGRP] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[HIESGP]') AND name = N'XHIESGP2')
BEGIN 
PRINT 'Creating index XHIESGP2 on table HIESGP'
CREATE UNIQUE NONCLUSTERED INDEX [XHIESGP2] ON [dbo].[HIESGP] 
(
	[SGRP] ASC,
	[NUMB] ASC,
	[GROU] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

